Subject: Re: [net-next v6 01/12] net: tso: Introduce tso_dma_map

From: Jakub Kicinski <[email-masked]>
Date: Sun, 29 Mar 2026 15:11:47 -0700

On Thu, 26 Mar 2026 16:52:20 -0700 Joe Damato wrote:
> Add struct tso_dma_map to tso.h for tracking DMA addresses of mapped
> GSO payload data.
> 
> The struct combines DMA mapping storage with iterator state, allowing
> drivers to walk pre-mapped DMA regions linearly. Includes fields for
> the DMA IOVA path (iova_state, iova_offset, total_len) and a fallback
> per-region path (linear_dma, frags[], frag_idx, offset).
> 
> Helpers to initialize and operate on this struct will be added in the
> next commit.

Let's squash this with patch 2? Quite useful to see the struct when
reviewing the code..